Supported Browsers

Teapplix is compatible with the following browsers.

  • Internet Explorer: version 11 or greater.
  • Firefox
  • Google Chrome
  • Safari on Mac

Teapplix uses TLS1.1 or TLS1.2 for https encryption protocol. If you have an old computer, or old browser, you cannot use Teapplix's main site www.teapplix.com. We do have backup sites that can support TLSv1.0, this is only open for a limited time for customers with very old computer systems or very old version of QuickBooks. For specifics please contact Teapplix Support.

Teapplix is specifically not compatible with the 360 browser.

While other browsers may work, we have not fully tested them to assure you have an optimal experience.